@font-face {
    font-family: 'Lucida';
    font-weight: normal;
    font-style: normal;
    src: url('../fonts/lucida-bright.woff2') format('woff2'),
        url('../fonts/lucida-bright.woff') format('woff');
}

@font-face {
    font-family: 'Carambola';
    font-weight: 400;
    font-style: normal;
    src: url('../fonts/carambola.woff2') format('woff2'),
        url('../fonts/carambola.woff') format('woff');
}

*,
*::before,
*::after{
    box-sizing: border-box;
    margin: 0;
}

:root {
    --primary : #21594F;
    --secondary : #ECE9DE;

    --white : #fff;
    --black : #000;
}

body {
    margin: 0;
    background-color: #1e1e1e;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Carambola', sans-serif;
    font-weight: 700;
}

p {
    font-family: 'Lucida', sans-serif;
    font-weight: 600;
    font-size: 1.125rem;
}

.progress__container {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    background-color: var(--primary);
    color: var(--white);
    z-index: 20;
    transition: 0.5s;
    overflow: hidden;
    height: 100vh;
}

.progress__container--close {
    top: -20px;
    height: 0;
}

.progress__number {
    position: absolute;
    background-color: var(--primary);
    width: 160px;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 3rem;
    font-weight: 700;
    z-index: 30;
}

.progress__bar {
    --load : 0%;
    width: var(--load);
    height: 5px;
    background-color: var(--white);
}

.menu__container {
    position: fixed;
    display: flex;
    gap: 30px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background-color: #7ACDB480;
    z-index: 10;
    color: var(--black);
    transition: 0.3s;
}

.menu__title {
    text-align: center;
}

.menu__title > h1 {
    font-size: 4rem;
    font-weight: 700;
    margin: 10px;
}

.menu__title > h2 {
    font-size: 3rem;
    margin: 10px;
}

.menu__commands {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 20px;
}

.menu__keyboard {
    text-align: center;
}

.menu__button {
    font-family: 'Carambola', sans-serif;
    font-size: 1rem;
    border: 2px solid var(--primary);
    outline: none;
    color: var(--white);
    background-color: var(--primary);
    padding: 10px 20px;
    height: 45px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    margin: 0;
}